Subject: [dnsoverhttp] Status of draft-hoffman-dns-over-http and draft-hoffman-dns-in-json

From: Paul Hoffman <[email-masked]>
Date: Sat, 11 Mar 2017 23:15:26 +0000

Greetings. After the informal meeting at IETF 97 in Seoul, it seems like there is not much actual interest in moving forwards with draft-hoffman-dns-over-http. It might be useful in the future, but there are no strong use cases for it now, particularly in light of <link rel="dns-prefetch"> in HTML5. Given the large number of open issues in the draft, it doesn't even make sense to try to publish this as an Experimental RFC; I'm going to let the draft expire.

On the other hand, draft-hoffman-dns-in-json seems pretty ready to publish as an Experimental RFC so that others can use it to make profiles for their applications. I have just revved the draft to clear up a few issues brought up by Zach Lym (although I suspect he still won't be happy with it, since it sounded like he wanted a profile and not a framework for profiles). The new draft is at <https://datatracker.ietf.org/doc/draft-hoffman-dns-in-json/>. I'll either find an AD who wants to sponsor it or take it to the ISE in the coming month or so.

--Paul Hoffman